OGRE-Next: Ogre::InvalidParametersException Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::InvalidParametersException Class Reference
Core » General

`#include <OgreException.h>`

Inheritance diagram for Ogre::InvalidParametersException:
[legend]

## Public Member Functions
| InvalidParametersException (int inNumber, const String &inDescription, const String &inSource, const char *inFile, long inLine)
virtual | ~InvalidParametersException () noexcept
Public Member Functions inherited from Ogre::Exception
| Exception (const Exception &rhs)
| Copy constructor.
| Exception (int number, const String &description, const String &source)
| Default constructor.
| Exception (int number, const String &description, const String &source, const char *type, const char *file, long line)
| Advanced constructor.
| ~Exception () noexcept override
| Needed for compatibility with std::exception.
virtual const String & | getDescription () const
| Returns a string with only the 'description' field of this exception.
virtual const String & | getFile () const
| Gets source file name.
virtual const String & | getFullDescription () const
| Returns a string with the full description of this error.
virtual long | getLine () const
| Gets line number.
virtual int | getNumber () const noexcept
| Gets the error code.
virtual const String & | getSource () const
| Gets the source function.
Exception & | operator= (const Exception &rhs)
| Assignment operator.
const char * | what () const noexcept(true) override
| Override std::exception::what.

## Additional Inherited Members
Public Types inherited from Ogre::Exception
enum | ExceptionCodes { ERR_CANNOT_WRITE_TO_FILE , ERR_INVALID_STATE , ERR_INVALIDPARAMS , ERR_RENDERINGAPI_ERROR , ERR_DUPLICATE_ITEM , ERR_ITEM_NOT_FOUND , ERR_FILE_NOT_FOUND , ERR_INTERNAL_ERROR , ERR_RT_ASSERTION_FAILED , ERR_NOT_IMPLEMENTED , ERR_INVALID_CALL }
| Static definitions of error codes. More...

## Constructor & Destructor Documentation

## ◆ InvalidParametersException()

Ogre::InvalidParametersException::InvalidParametersException | ( | int | inNumber,
|  | const String & | inDescription,
|  | const String & | inSource,
|  | const char * | inFile,
|  | long | inLine )

## ◆ ~InvalidParametersException()

virtual Ogre::InvalidParametersException::~InvalidParametersException | ( |  | ) |
| virtualnoexcept

The documentation for this class was generated from the following file:

- OgreException.h